package mpp;

import java.util.Random;

public class LazyPQueueTest {
	protected final static int Iterations=100000;
	static LazyPQueue<Object> queue=new LazyPQueue<Object>();

	public static void main(String[] args){
		int n=Integer.parseInt(args[0]);
		mythread[] T=new mythread[n];
		
		long start = System.nanoTime();
		
		for (int i=0;i<n;i++){
			T[i]=new mythread();
			T[i].start();
		}
		try {
			for (int i=0; i < n; i++)
				T[i].join();
	        }
		catch (InterruptedException e) { };
		System.out.println("Running time(ms):"+((System.nanoTime()-start)/1000000));
	}
	
	private static class mythread extends Thread{
		
		public void run(){
			for (int i=0;i<Iterations;i++){
				Random random=new Random();
				queue.add(new Object(),random.nextInt()); 
				queue.removeMin();
			}
		}
	}
}
