package mpp;

import java.util.Random;

public class LockFreePQueueTest {
	protected static int Iterations=100000;
	static LockFreePQueue<Object> queue=new LockFreePQueue<Object>();

	public static void main(String[] args){
		int n=Integer.parseInt(args[0]);
		mythread[] T=new mythread[n];
		
		long start = System.nanoTime();
		
		for (int i=0;i<n;i++){
			T[i]=new mythread();
			T[i].start();
		}
		try {
			for (int i=0; i < n; i++)
				T[i].join();
	        }
		catch (InterruptedException e) { };
		System.out.println("Running time(ms):"+((System.nanoTime()-start)/1000000));
	}
	
	private static class mythread extends Thread{
		
		public void run(){
			for (int i=0;i<Iterations;i++){
				Random random=new Random();
				int rand=random.nextInt();
				//System.out.println(rand + " was inserted");
				queue.add(new Object(),rand); 
				queue.removeMin();
				//System.out.println(result+ " was removed");
			}
		}
	}
}
